Subject: Re: bug#5656: 23.1; nntp-marks-file-name is reset to nil and causes "IO error reading [...]: Is a directory"

From: Teemu Likonen <[email-masked]>
Date: Sun, 28 Feb 2010 13:27:11 +0200

* 2010-02-28 11:55 (+0100), Andreas Schwab wrote:

> Teemu Likonen <[email-masked]> writes:
>> So there's a bug somewhere. Who is setting nntp-marks-file-name to
>> nil and why?
>
> nntp-marks-file-name is a backend variable.  Look in
> nnoo-definition-alist whether it is modified by some backend.

In nnoo-definition-alist there is this:

    (nntp nil
          (...
           (nntp-marks-file-name . ".marks")
           ...))

The variable is not mentioned in any other parts of
nnoo-definition-alist. Still nntp-marks-file-name gets set to nil and I
get the error unless I use the work-around hook which I described in the
original report.